%define upstream_name    Complete-Zsh
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Completion module for zsh shell
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Complete/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Complete::Bash)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module provides routines related to doing completion in zsh.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README META.yml META.json LICENSE Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.30.0-3.mga9
+ Revision: 1811133
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.30.0-2.mga8
+ Revision: 1520663
- Mageia 8 Mass Rebuild

* Mon Dec 03 2018 shlomif <shlomif> 0.30.0-1.mga7
+ Revision: 1338103
- imported package perl-Complete-Zsh


* Mon Dec 03 2018 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
